net.minecraft.entity

## Enum EnumCreatureAttribute

- java.lang.Object
- - java.lang.Enum<EnumCreatureAttribute>
  - - net.minecraft.entity.EnumCreatureAttribute

- All Implemented Interfaces:
    Serializable, Comparable<EnumCreatureAttribute>

      public enum EnumCreatureAttribute
      extends Enum<EnumCreatureAttribute>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARTHROPOD`
    `UNDEAD`
    `UNDEFINED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumCreatureAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumCreatureAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final EnumCreatureAttribute UNDEFINED

    - #### UNDEAD

          public static final EnumCreatureAttribute UNDEAD

    - #### ARTHROPOD

          public static final EnumCreatureAttribute ARTHROPOD

  - ### Method Detail

    - #### values

          public static EnumCreatureAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumCreatureAttribute c : EnumCreatureAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumCreatureAttribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null